Bug 152571 - CAN-2004-1772 buffer overflow with -o option
Summary: CAN-2004-1772 buffer overflow with -o option
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sharutils (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Jay Turner
URL:
Whiteboard: impact=low,public=20040406,source=cve...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-30 14:16 UTC by Josh Bressers
Modified: 2015-01-08 00:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 16:31:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:377 low SHIPPED_LIVE Low: sharutils security update 2005-04-26 04:00:00 UTC

Description Josh Bressers 2005-03-30 14:16:09 UTC
Stack-based buffer overflow in shar in GNU sharutils 4.2.1 allows local users to
execute arbitrary code via a long -o command line argument.

To test this:
shar -o `perl -e 'print "A"x2000'`

A patch is located here:
https://bugzilla.fedora.us/show_bug.cgi?id=2155

Comment 1 Josh Bressers 2005-03-30 14:16:55 UTC
This issue also affects RHEL2.1

Comment 2 Ngo Than 2005-03-30 23:18:06 UTC
it's fixed in sharutils-4.2.1-8.8.x (rhel-2) and sharutils-4.2.1-16.1 (rhel3)

Comment 3 Jay Turner 2005-03-31 06:21:55 UTC
sharutils-4.2.1-16.1 is in 3.0E-errata-candidate
sharutils-4.2.1-8.8.x is in 2.1AS-errata-candidate

None of these have been released in errata, as the most recent errata was for
2.1 only and included sharutils-4.2.1-8.7.x.  Reopening this issue.

Comment 4 Ngo Than 2005-04-14 11:13:46 UTC
it's fixed in sharutils-4.2.1-8.9.x (rhel-2) and sharutils-4.2.1-16.2 (rhel3)

Comment 5 Josh Bressers 2005-04-26 16:31:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-377.html



Note You need to log in before you can comment on or make changes to this bug.